# -*- coding: utf-8 -*-
from __future__ import unicode_literals
from settings import *

LANGUAGES = [('en', 'English'),('fr', 'French'),]
PARLER_DEFAULT_LANGUAGE_CODE = 'fr'
PARLER_LANGUAGES = {
    None: (
        {'code': 'en',},
        {'code': 'fr',},
    ),
    'default': {
        'fallbacks': ['fr'],
        'hide_untranslated': True,
    }
}
ROOT_URLCONF = 'myapp_i18n.urls'
MIDDLEWARE_CLASSES=(
    'django.middleware.common.CommonMiddleware',
    'django.contrib.sessions.middleware.SessionMiddleware',
    'django.middleware.locale.LocaleMiddleware',
    'django.middleware.csrf.CsrfViewMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
    'django.contrib.messages.middleware.MessageMiddleware',
)

INSTALLED_APPS = list(INSTALLED_APPS + ('parler', 'myapp_i18n',))
INSTALLED_APPS.remove('myapp')
INSTALLED_APPS = tuple(INSTALLED_APPS)
