# -*- coding: utf-8 -*-
from __future__ import unicode_literals
from settings_cms30 import *

INSTALLED_APPS = list(INSTALLED_APPS + ('myapp_all',))
INSTALLED_APPS.remove('myapp_cms')
INSTALLED_APPS = tuple(INSTALLED_APPS)

LANGUAGES = [('en', 'English',), ('fr', 'French',),]
PARLER_DEFAULT_LANGUAGE_CODE = 'fr'
PARLER_LANGUAGES = {
    None: (
        {'code': 'en',},
        {'code': 'fr',},
    ),
    'default': {
        'fallbacks': ['fr'],
        'hide_untranslated': True,
    }
}
ROOT_URLCONF = 'myapp_all.urls'
MIDDLEWARE_CLASSES=MIDDLEWARE_CLASSES+(
    'django.middleware.common.CommonMiddleware',
    'django.contrib.sessions.middleware.SessionMiddleware',
    'django.middleware.locale.LocaleMiddleware',
    'django.middleware.csrf.CsrfViewMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
    'django.contrib.messages.middleware.MessageMiddleware',
)
CMS_PLACEHOLDER_CONF = {
    'main': {
        'name': "Main content",
        'plugins': ['NewsPlugin','TextPlugin'],
    },
}
